
<%
##
# the documentation controller servers complete entire files, no headers, etc...
#
if controller.is_a?(DocumentationController) then %>
    <%= yield %>
<% else
##
# all other controllers are shown within the application context.
#
%>
<!DOCTYPE html>
  <html>
    <head>
      <title><%= smr_browse_position %> @ <%= smr_humanize Time.now, :time_for_humans=>true %></title>
      <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track' => true %>
      <%= csrf_meta_tag %>
    </head>
    <body>

    <div id="user_nav">
      <% if current_user %>
        Logged in as <%= current_user.fullname %> (<%= link_to 'logout', logout_path %>).
      <% end %>
    </div>

    <% if current_user %>
      <div id="date_nav">
          <form method=POST action="/set_session_params">
            <button type="submit" name="smr_step_date" value="day_back">&lArr;</button>
            <button type="submit" name="smr_step_date" value="day_forward">&rArr;</button>
          </form>
          <form method=POST action="/set_session_params">
            <%= date_field_tag :smr_browse_date, smr_browse_date.strftime('%Y-%m-%d') %>
            <button type="submit">Go</button>
          </form>
          <form method=POST action="/set_session_params">
            <%= hidden_field_tag 'smr_browse_date', Time.now.strftime('%Y-%m-%d') %>
            <button type="submit">Today</button>
          </form>
      </div>

      <%= smr_menu %>
    <% end %>

    <% if controller.is_a?(SessionsController) then %>
        <%= yield %>
    <% else %>
      <div id="controller_area">
        <%= yield %>
      </div>
    <% end %>

    <% if not flash.empty? then %>
    <ul id="smr_notifications">
    <% flash.each do |name, msg| %>
       <%= content_tag :li, msg, :class=>name %>
    <% end %>
    </ul>
    <% end %>

    </body>
  </html>
<% end %>

